Package: org.gradle.api.plugins.antlr

## [Java] Interface AntlrSourceVirtualDirectory

- Contract for a Gradle "convention object" that acts as a handler for what I call a virtual directory mapping, injecting a virtual directory named 'antlr' into the project's various source. Its implementation gets pushed onto the org.gradle.api.internal.DynamicObjectAware portion of the source set under the name 'antlr'.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `NAME` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `AntlrSourceVirtualDirectory` | `antlr(groovy.lang.Closure configureClosure)` Configures the Antlr source for this set.
    `SourceDirectorySet` | `getAntlr()` All Antlr source for this source set.

- - ### Field Detail

    - #### public static final String NAME

  - ### Method Detail

    - #### public AntlrSourceVirtualDirectory antlr(groovy.lang.Closure configureClosure)

      Configures the Antlr source for this set. The given closure is used to configure the SourceDirectorySet (see getAntlr) which contains the Antlr source.

      Parameters:
        `configureClosure` - The closure to use to configure the Antlr source.
      Returns:
        this

    - #### public SourceDirectorySet getAntlr()

      All Antlr source for this source set.

      Returns:
        The Antlr source. Never returns null.